package files

import (
	"path/filepath"
	"runtime"
	"strings"
)

func IsFileLocatedIn(fileToCheck string, dirInWhichLocated string) bool {
	fileToCheck = TryAbs(fileToCheck)
	dirInWhichLocated = TryAbs(dirInWhichLocated)

	if runtime.GOOS == "windows" {
		fileToCheck = strings.ToLower(fileToCheck)
		dirInWhichLocated = strings.ToLower(dirInWhichLocated)
	}

	fileToCheck = filepath.ToSlash(fileToCheck)
	dirInWhichLocated = filepath.ToSlash(dirInWhichLocated)

	return strings.HasPrefix(fileToCheck, dirInWhichLocated+"/")
}
